@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600&family=Oswald:wght@300;400;500;600&display=swap');

:root {
  --primary: #e83c2e;
  --secondary: #0e0909;
  --font-dark: rgba(0, 0, 0, 0.87);
  --font-dark-secondary: rgba(0, 0, 0, 0.6);
  --font-dark-disabled: rgba(0, 0, 0, 0.38);
  --font-light: rgba(255, 255, 255, 1);
  --font-light-secondary: rgba(255, 255, 255, .7);
  --font-light-disabled: rgba(255, 255, 255, .5);
}

html,body {
  background: #f3f3f3;
  color: var(--font-dark);
  font-family: "Open Sans", Arial, Helvetica, sans-serif;
  line-height: 1.65;
  min-width: 20rem;
  scroll-behavior: smooth;
}

h1, h2, h3, h4, h5, h6, nav {
  font-family: "Oswald", Arial, Helvetica, sans-serif;
}

/* Helpers */
.has-box-shadow {
  box-shadow: 0 .5em 1em -.125em rgba(10,10,10,.1),0 0 0 1px rgba(10,10,10,.02);
}

.has-border-radius-2 {
  border-radius: .5rem;
}

/* Layout */
.section {
  padding: 5rem 1.5rem;
}

/* Slides */
@-webkit-keyframes slide-up {
  0% {
    transform: translateY(100px);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes slide-up {
  0% {
    transform: translateY(100px);
  }
  100% {
    transform: translateY(0);
  }
}

@-webkit-keyframes slide-right {
  0% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateX(0);
  }
}

@keyframes slide-right {
  0% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateX(0);
  }
}

.slide-container {
  overflow: hidden;
}

.slide-up {
  -webkit-animation: slide-up 0.9s cubic-bezier(0.65, 0, 0.35, 1) both;
          animation: slide-up 0.9s cubic-bezier(0.65, 0, 0.35, 1) both;
}

/* Contact Bar */
.contact-bar {
  background-color: var(--secondary);
  color: var(--font-light);
  padding-bottom: .5rem;
  padding-top: .5rem;
}

.contact-bar .container {
  display: flex;
  justify-content: center;
}

.contact-bar .container span {
  display: inline-block;
  font-size: .675rem;
}

.contact-bar .container span:last-child {
  margin-left: 1rem;
}

.contact-bar .container span i {
  margin-right: .5rem;
}

@media screen and (min-width: 451px) {
  .contact-bar {
    padding-bottom: 1rem;
    padding-top: 1rem;
  }

  .contact-bar .container {
    justify-content: flex-end;
  }

  .contact-bar .container span {
    font-size: .75rem;
  }
}

/* Hero */
.hero {
  background-image: url('../images/hero-bg.jpg');
  background-size: cover;
  background-position-y: center;
  padding-top: 0;
  position: relative;
}

.hero-overlay {
  background-color: rgba(0, 0, 0, .5);
}

.hero-body {
  align-items: flex-start!important;
  padding-top: 25vh;
}

.hero-body .container {
  max-width: 700px;
}

.hero-body .title {
  -webkit-animation-delay: 0;
          animation-delay: 0;
  font-size: 3rem;
  font-weight: 400;
}

.hero-body .subtitle {
  -webkit-animation-delay: 0.05s;
          animation-delay: 0.05s;
  margin-top: 1.5rem;
  line-height: 1.5;
}

.hero-body .button {
  -webkit-animation-delay: 0.075s;
          animation-delay: 0.075s;
  margin-top: 1.5rem;
}

@media screen and (min-width: 451px) {
  .hero-body .title {
    font-size: 5rem;
  }
}

/* Navbar */
.navbar {
  margin-top: .5rem;
}

.navbar-item {
  align-self: center;
  font-size: 1.2rem;
}

.navbar-item a {
  color: var(--font-light);
}

.navbar-item a:hover {
  color: var(--font-light-disabled);
}

.navbar-item:nth-child(1) a {
  -webkit-animation-delay: 0.3s;
          animation-delay: 0.3s;
}

.navbar-item:nth-child(2) a {
  -webkit-animation-delay: 0.2s;
          animation-delay: 0.2s;
}

.navbar-item:nth-child(3) a {
  -webkit-animation-delay: 0.1s;
          animation-delay: 0.1s;
}

.navbar-item:nth-child(4) a {
  -webkit-animation-delay: 0;
          animation-delay: 0;
}

.navbar-item:focus {
  background-color: transparent!important;
}

.navbar-item img {
  max-height: 5rem;
}

@media screen and (min-width: 769px) {
  .navbar {
    margin-top: -2rem;
  }

  .navbar-item img {
    max-height: 9.375rem;
  }
}

@media screen and (max-width: 1023px) {
  .navbar-menu {
    background-color: rgba(255, 255, 255, .5);
  }

  .navbar-menu .navbar-item a {
    color: var(--font-dark);
  }

  .navbar-menu .navbar-item a:hover {
    color: var(--font-dark-secondary);
  }
}

/* About */
.about p {
  font-size: .875rem;
  padding: 0 0 1rem;
}

.special {
  color: var(--font-light);
  text-align: center;
}

.special .is-overlay {
  background-color: rgba(0, 0, 0, 0.4);
  padding: .5rem;
}

.special h3 {
  font-size: 1.5rem;
}

.special p {
  font-size: 1rem;
}

@media screen and (min-width: 451px) {
  .special .is-overlay {
    padding: 1rem;
  }

  .special h3 {
    font-size: 2rem;
  }
  
  .special p {
    font-size: 1.25rem;
  }
}

@media screen and (min-width: 769px) {
  .special .is-overlay {
    padding: .5rem;
  }

  .special h3 {
    font-size: 1.5rem;
  }
  
  .special p {
    font-size: 1rem;
  }
}

@media screen and (min-width: 1024px) {
  .special .is-overlay {
    padding: 1rem;
  }

  .special h3 {
    font-size: 2rem;
  }
  
  .special p {
    font-size: 1.25rem;
  }
}

/* Location */
.location {
  background-color: var(--primary);
  color: var(--font-light);
}

ul.hours {
  margin: 0 auto;
  max-width: 25rem;
  width: 100%;
  flex-wrap: nowrap;
}

ul.hours li {
  align-items: flex-end;
  display: flex;
  justify-content: space-between;
  padding-bottom: .5rem;
}

ul.hours li .day {
  font-family: "Oswald", Arial, Helvetica, sans-serif;
  font-size: 1.25rem;
}

ul.hours li .hours {
  display: inline-block;
  padding-bottom: 5px;
}

@media screen and (min-width: 769px) {
  ul.hours li .day {
    font-size: 1.75rem;
  }
}

/* Menu */
.menu {
  margin: 0 auto;
  max-width: 70rem;
}

.menu-section {
  padding: 0 0 3rem;
}

.menu .column {
  padding: 0 1rem;
}

.menu-item {
  display: flex;
  justify-content: space-between;
  padding-bottom: 1rem;
}

.menu-item-info {
  display: flex;
  flex-direction: column;
}

.menu-item-info h5 {
  font-weight: 600;
}

.menu-item-price span {
  font-weight: 600;
}

@media screen and (min-width: 769px) {
  .menu .column {
    padding: 0 2rem;
  }

  .menu-item {
    padding-bottom: 2rem;
  }
}

/* Catering */
.contact {
  background-color: var(--primary);
  color: var(--font-light);
}

.contact .column {
  margin: 0 auto;
  max-width: 35rem;
}

.contact .content img {
  height: 25rem;
  object-fit: cover;
  width: 100%;
}

/* Footer */
.footer {
  background-color: var(--secondary);
}
